<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_proot"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/alivc_common_white"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/common_toolbar"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        app:contentInsetStart="0dp">

        <TextView
            android:id="@+id/tv_manual_answering"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:text="@string/manual_answering"
            android:textColor="#333"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/common_toolbar_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:ellipsize="end"
            android:maxLength="10"
            android:singleLine="true"
            android:text="@string/smartqa"
            android:textColor="#333"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_learning_feedback"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="5dp"
            android:text="@string/learningfeedback"
            android:textColor="#333"
            android:textSize="12sp" />

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#ffffff"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="10dp"
        android:paddingVertical="5dp">

        <ImageView
            android:id="@+id/iv_head"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@drawable/ic_head_default_right" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:text="答疑机器人"
            android:textColor="#4c595f"
            android:textSize="12sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llContent"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_chat_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="#f5f5f5" />


        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="#d9d9d9" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#ffffff"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:paddingLeft="10dp"
                android:paddingTop="8dp"
                android:paddingRight="10dp"
                android:paddingBottom="8dp">

                <EditText
                    android:id="@+id/et_content"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/message_shap_chat_bg"
                    android:hint="请输入您的问题"
                    android:maxLines="3"
                    android:minHeight="36dp"
                    android:paddingLeft="13dp"
                    android:textColor="@color/alivc_player_bg_action_list_dialog"
                    android:textColorHint="#4a4a4a"
                    android:textSize="11dp" />


            </RelativeLayout>

            <ImageView
                android:id="@+id/iv_emoji"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/ic_emoji" />


            <com.beanpodtech.allinone.widget.StateButton
                android:id="@+id/btn_send"
                android:layout_width="40dp"
                android:layout_height="20dp"
                android:layout_marginRight="5dp"
                android:gravity="center"
                android:padding="1dp"
                android:text="发送"
                android:textColor="#000000"
                android:textSize="13dp"
                app:state_radius="5dp" />
            <!--                app:normalBackgroundColor="#127CD6"-->
            <!--                app:pressedBackgroundColor="#0f519b"-->


        </LinearLayout>

        <View
            android:id="@+id/bottom_drag_view"
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="#d9d9d9" />


    </LinearLayout>

    <RelativeLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone">
        <!--表情-->
        <include
            android:id="@+id/rlEmotion"
            layout="@layout/include_emoji_layout" />
    </RelativeLayout>
</LinearLayout>